/*
@ @licstart  The following is the entire license notice for the
JavaScript code in this file.

Copyright (C) 1997-2017 by Dimitri van Heesch

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

@licend  The above is the entire license notice
for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "RapidJSON", "index.html", [
    [ "Change Log", "md__c_h_a_n_g_e_l_o_g.html", null ],
    [ "特点", "md_doc_features_8zh-cn.html", null ],
    [ "教程", "md_doc_tutorial_8zh-cn.html", [
      [ "Value 及 Document", "md_doc_tutorial_8zh-cn.html#ValueDocument", null ],
      [ "查询 Value", "md_doc_tutorial_8zh-cn.html#QueryValue", [
        [ "查询 Array", "md_doc_tutorial_8zh-cn.html#QueryArray", null ],
        [ "查询 Object", "md_doc_tutorial_8zh-cn.html#QueryObject", null ],
        [ "查询 Number", "md_doc_tutorial_8zh-cn.html#QueryNumber", null ],
        [ "查询 String", "md_doc_tutorial_8zh-cn.html#QueryString", null ]
      ] ],
      [ "创建／修改值", "md_doc_tutorial_8zh-cn.html#CreateModifyValues", [
        [ "改变 Value 类型", "md_doc_tutorial_8zh-cn.html#ChangeValueType", null ],
        [ "转移语义（Move Semantics）", "md_doc_tutorial_8zh-cn.html#MoveSemantics", [
          [ "转移语义及临时值", "md_doc_tutorial_8zh-cn.html#TemporaryValues", null ]
        ] ],
        [ "创建 String", "md_doc_tutorial_8zh-cn.html#CreateString", null ],
        [ "修改 Array", "md_doc_tutorial_8zh-cn.html#ModifyArray", null ],
        [ "修改 Object", "md_doc_tutorial_8zh-cn.html#ModifyObject", null ],
        [ "深复制 Value", "md_doc_tutorial_8zh-cn.html#DeepCopyValue", null ],
        [ "交换 Value", "md_doc_tutorial_8zh-cn.html#SwapValues", null ]
      ] ],
      [ "下一部分", "md_doc_tutorial_8zh-cn.html#WhatsNext", null ]
    ] ],
    [ "Pointer", "md_doc_pointer_8zh-cn.html", [
      [ "JSON Pointer", "md_doc_pointer_8zh-cn.html#JsonPointer", null ],
      [ "基本使用方法", "md_doc_pointer_8zh-cn.html#BasicUsage", null ],
      [ "辅助函数", "md_doc_pointer_8zh-cn.html#HelperFunctions", null ],
      [ "解析 Pointer", "md_doc_pointer_8zh-cn.html#ResolvingPointer", null ],
      [ "错误处理", "md_doc_pointer_8zh-cn.html#ErrorHandling", null ],
      [ "URI 片段表示方式", "md_doc_pointer_8zh-cn.html#URIFragment", null ],
      [ "使用者提供的 tokens", "md_doc_pointer_8zh-cn.html#UserSuppliedTokens", null ]
    ] ],
    [ "流", "md_doc_stream_8zh-cn.html", [
      [ "内存流", "md_doc_stream_8zh-cn.html#MemoryStreams", [
        [ "StringStream（输入）", "md_doc_stream_8zh-cn.html#StringStream", null ],
        [ "StringBuffer（输出）", "md_doc_stream_8zh-cn.html#StringBuffer", null ]
      ] ],
      [ "文件流", "md_doc_stream_8zh-cn.html#FileStreams", [
        [ "FileReadStream（输入）", "md_doc_stream_8zh-cn.html#FileReadStream", null ],
        [ "FileWriteStream（输出）", "md_doc_stream_8zh-cn.html#FileWriteStream", null ]
      ] ],
      [ "iostream 包装类", "md_doc_stream_8zh-cn.html#iostreamWrapper", [
        [ "IStreamWrapper", "md_doc_stream_8zh-cn.html#IStreamWrapper", null ],
        [ "OStreamWrapper", "md_doc_stream_8zh-cn.html#OStreamWrapper", null ]
      ] ],
      [ "编码流", "md_doc_stream_8zh-cn.html#EncodedStreams", [
        [ "EncodedInputStream", "md_doc_stream_8zh-cn.html#EncodedInputStream", null ],
        [ "EncodedOutputStream", "md_doc_stream_8zh-cn.html#EncodedOutputStream", null ],
        [ "AutoUTFInputStream", "md_doc_stream_8zh-cn.html#AutoUTFInputStream", null ],
        [ "AutoUTFOutputStream", "md_doc_stream_8zh-cn.html#AutoUTFOutputStream", null ]
      ] ],
      [ "自定义流", "md_doc_stream_8zh-cn.html#CustomStream", [
        [ "例子：istream 的包装类", "md_doc_stream_8zh-cn.html#ExampleIStreamWrapper", null ],
        [ "例子：ostream 的包装类", "md_doc_stream_8zh-cn.html#ExampleOStreamWrapper", null ]
      ] ],
      [ "总结", "md_doc_stream_8zh-cn.html#Summary", null ]
    ] ],
    [ "编码", "md_doc_encoding_8zh-cn.html", [
      [ "Unicode", "md_doc_encoding_8zh-cn.html#Unicode", [
        [ "Unicode 转换格式", "md_doc_encoding_8zh-cn.html#UTF", null ],
        [ "字符类型", "md_doc_encoding_8zh-cn.html#CharacterType", null ],
        [ "AutoUTF", "md_doc_encoding_8zh-cn.html#AutoUTF", null ],
        [ "ASCII", "md_doc_encoding_8zh-cn.html#ASCII", null ]
      ] ],
      [ "校验及转码", "md_doc_encoding_8zh-cn.html#ValidationTranscoding", [
        [ "转码器", "md_doc_encoding_8zh-cn.html#Transcoder", null ]
      ] ]
    ] ],
    [ "DOM", "md_doc_dom_8zh-cn.html", [
      [ "模板", "md_doc_dom_8zh-cn.html#Template", [
        [ "编码", "md_doc_dom_8zh-cn.html#Encoding", null ],
        [ "分配器", "md_doc_dom_8zh-cn.html#Allocator", null ]
      ] ],
      [ "解析", "md_doc_dom_8zh-cn.html#Parsing", [
        [ "解析错误", "md_doc_dom_8zh-cn.html#ParseError", null ],
        [ "原位解析", "md_doc_dom_8zh-cn.html#InSituParsing", null ],
        [ "转码与校验", "md_doc_dom_8zh-cn.html#TranscodingAndValidation", null ]
      ] ],
      [ "技巧", "md_doc_dom_8zh-cn.html#Techniques", [
        [ "使用者缓冲区", "md_doc_dom_8zh-cn.html#UserBuffer", null ]
      ] ]
    ] ],
    [ "SAX", "md_doc_sax_8zh-cn.html", [
      [ "Reader", "md_doc_sax_8zh-cn.html#Reader", [
        [ "处理器", "md_doc_sax_8zh-cn.html#Handler", null ],
        [ "GenericReader", "md_doc_sax_8zh-cn.html#GenericReader", null ],
        [ "解析", "md_doc_sax_8zh-cn.html#SaxParsing", null ]
      ] ],
      [ "Writer", "md_doc_sax_8zh-cn.html#Writer", [
        [ "模板", "md_doc_sax_8zh-cn.html#WriterTemplate", null ],
        [ "PrettyWriter", "md_doc_sax_8zh-cn.html#PrettyWriter", null ],
        [ "完整性及重置", "md_doc_sax_8zh-cn.html#CompletenessReset", null ]
      ] ],
      [ "技巧", "md_doc_sax_8zh-cn.html#SaxTechniques", [
        [ "解析 JSON 至自定义结构", "md_doc_sax_8zh-cn.html#CustomDataStructure", null ],
        [ "过滤 JSON", "md_doc_sax_8zh-cn.html#Filtering", null ]
      ] ]
    ] ],
    [ "Schema", "md_doc_schema_8zh-cn.html", [
      [ "在解析／生成时进行校验", "md_doc_schema_8zh-cn.html#ParsingSerialization", [
        [ "DOM 解析", "md_doc_schema_8zh-cn.html#DomParsing", null ],
        [ "生成", "md_doc_schema_8zh-cn.html#Serialization", null ]
      ] ],
      [ "远程 Schema", "md_doc_schema_8zh-cn.html#RemoteSchema", null ],
      [ "标准的符合程度", "md_doc_schema_8zh-cn.html#Conformance", [
        [ "正则表达式", "md_doc_schema_8zh-cn.html#RegEx", null ]
      ] ],
      [ "性能", "md_doc_schema_8zh-cn.html#Performance", null ]
    ] ],
    [ "性能", "md_doc_performance_8zh-cn.html", null ],
    [ "内部架构", "md_doc_internals_8zh-cn.html", [
      [ "架构", "md_doc_internals_8zh-cn.html#Architecture", null ],
      [ "值（Value）", "md_doc_internals_8zh-cn.html#Value", [
        [ "数据布局", "md_doc_internals_8zh-cn.html#DataLayout", null ],
        [ "标志", "md_doc_internals_8zh-cn.html#Flags", null ],
        [ "短字符串优化", "md_doc_internals_8zh-cn.html#ShortString", null ]
      ] ],
      [ "分配器（Allocator）", "md_doc_internals_8zh-cn.html#InternalAllocator", [
        [ "MemoryPoolAllocator", "md_doc_internals_8zh-cn.html#MemoryPoolAllocator", null ]
      ] ],
      [ "解析优化", "md_doc_internals_8zh-cn.html#ParsingOptimization", [
        [ "使用 SIMD 跳过空格", "md_doc_internals_8zh-cn.html#SkipwhitespaceWithSIMD", null ],
        [ "局部流拷贝", "md_doc_internals_8zh-cn.html#LocalStreamCopy", null ],
        [ "解析为双精度浮点数", "md_doc_internals_8zh-cn.html#ParsingDouble", null ]
      ] ],
      [ "生成优化", "md_doc_internals_8zh-cn.html#GenerationOptimization", [
        [ "整数到字符串的转换", "md_doc_internals_8zh-cn.html#itoa", null ],
        [ "双精度浮点数到字符串的转换", "md_doc_internals_8zh-cn.html#dtoa", null ]
      ] ],
      [ "解析器", "md_doc_internals_8zh-cn.html#Parser", [
        [ "迭代解析", "md_doc_internals_8zh-cn.html#IterativeParser", [
          [ "语法", "md_doc_internals_8zh-cn.html#IterativeParserGrammar", null ],
          [ "解析表", "md_doc_internals_8zh-cn.html#IterativeParserParsingTable", null ],
          [ "实现", "md_doc_internals_8zh-cn.html#IterativeParserImplementation", null ]
        ] ]
      ] ]
    ] ],
    [ "常见问题", "md_doc_faq_8zh-cn.html", null ],
    [ "模块", "modules.html", "modules" ],
    [ "命名空间成员", "namespacemembers.html", [
      [ "全部", "namespacemembers.html", null ],
      [ "函数", "namespacemembers_func.html", null ],
      [ "类型定义", "namespacemembers_type.html", null ],
      [ "枚举", "namespacemembers_enum.html", null ],
      [ "枚举值", "namespacemembers_eval.html", null ]
    ] ],
    [ "类", "annotated.html", [
      [ "类列表", "annotated.html", "annotated_dup" ],
      [ "类继承关系", "hierarchy.html", "hierarchy" ],
      [ "类成员", "functions.html", [
        [ "全部", "functions.html", "functions_dup" ],
        [ "函数", "functions_func.html", "functions_func" ],
        [ "变量", "functions_vars.html", null ],
        [ "类型定义", "functions_type.html", null ],
        [ "相关函数", "functions_rela.html", null ]
      ] ]
    ] ],
    [ "文件", "files.html", [
      [ "文件列表", "files.html", "files_dup" ],
      [ "文件成员", "globals.html", [
        [ "全部", "globals.html", null ],
        [ "宏定义", "globals_defs.html", null ]
      ] ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
"allocators_8h_source.html",
"classrapidjson_1_1_generic_object.html#a9227df396b62534391cd9a52ab7cdf37",
"classrapidjson_1_1_generic_uri.html#ad8391135ba2c5a5c2d6aed049055b7f9",
"classrapidjson_1_1_std_allocator.html#a9efde196d7d77b54d80978d831e4364d",
"group___r_a_p_i_d_j_s_o_n___e_r_r_o_r_s.html#a82fc3c16d5b670e8a86630c4feb730c1",
"structrapidjson_1_1_a_s_c_i_i.html#a2c1e49f42921027d58f1125a627cc5e5"
];

var SYNCONMSG = '点击 关闭 面板同步';
var SYNCOFFMSG = '点击 开启 面板同步';